---
title: Usage
---

### Presenter Output

This section will show you how to use the decorated value provided by the `\Anomaly\CountryFieldType\CountryFieldTypePresenter` class.


#### CountryFieldTypePresenter::code()

The `code` method returns the selected country's ISO code.

###### Returns: `string`

###### Example

    $decorated->example->code();

###### Twig

    {{ decorated.example.code() }}


#### CountryFieldTypePresenter::name()

The `name` method returns the name of the selected country.

###### Returns: `string`

###### Arguments

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Required</th>

<th>Type</th>

<th>Default</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

$locale

</td>

<td>

false

</td>

<td>

string

</td>

<td>

The active locale.

</td>

<td>

The locale code to translate the name to.

</td>

</tr>

</tbody>

</table>

###### Example

    $decorated->example->name('es');

###### Twig

    {{ decorated.example.name('es') }}


#### CountryFieldTypePresenter::currency()

The `currency` method returns the country's currency information.

<div class="alert alert-warning">**Contribute:** If you have currency information to add or have found an error, submit a pull request to [https://github.com/anomalylabs/streams-platform](https://github.com/anomalylabs/streams-platform)</div>

###### Returns: `array` or `null`

###### Example

    $decorated->example->currency()['symbol'];

###### Twig

    {{ decorated.example.currency().symbol }}


#### CountryFieldTypePresenter::locale()

The `locale` method returns the country's locale information.

<div class="alert alert-warning">**Contribute:** If you have locale information to add or have found an error, submit a pull request to [https://github.com/anomalylabs/streams-platform](https://github.com/anomalylabs/streams-platform)</div>

###### Example

    $decorated->example->locale()['direction'];

###### Twig

    {{ decorated.example.locale().direction }}
